import 'package:fis_common/index.dart';
import 'package:flyinsono/architecture/states/states.dart';
import 'package:flyinsono/global.dart';
import 'package:flyinsono/notifications/notifications.dart';
import 'package:get/get.dart';

import 'index.dart';

class WxDebugController extends GetxController {
  WxDebugController();

  final state = WxDebugState();

  // tap
  void handleTap(int index) {
    Get.snackbar(
      "标题",
      "消息",
    );
  }

  void startWebSocket() {
    if (notificationCenter.isRunning == false) {
      Global.unlistenWsConnection();
      final host = StringFormatter.format(
          'ws://192.168.6.74:7308?token={0}&type={1}', [Store.user.token, 4]);
      notificationCenter.setHost(host);
      notificationCenter.start();
      Global.unlistenWsConnection();
    }
  }

  /// 在 widget 内存中分配后立即调用。
  @override
  void onInit() {
    super.onInit();
  }

  /// 在 onInit() 之后调用 1 帧。这是进入的理想场所
  @override
  void onReady() {
    super.onReady();
  }

  /// 在 [onDelete] 方法之前调用。
  @override
  void onClose() {
    super.onClose();
  }

  /// dispose 释放内存
  @override
  void dispose() {
    super.dispose();
  }
}
